import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Sensor } from '../model';
import { Domain } from '../../domain/model';


@Injectable()
export class SensorService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain): Observable<Sensor[]> {
    const body = {
        domain: domain,
    };

    return this.rpcClient.call('SensorService.readAllByDomain', domain);
  }


}
