import { Injectable } from '@angular/core';
import { RPCClient } from '../../../core/rpc/client/RPCClient';
import { Observable } from 'rxjs/Observable';
import { MemberTotp } from '../model/MemberTotp';
import { Member } from '../../../member/model';

@Injectable()
export class MemberTotpService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public createTotp(): Observable<MemberTotp[]> {
    // Todo Store get member object

    return this.rpcClient.call<MemberTotp[]>('MemberTotpService.createTotp', {id: '1'});
  }

  public regist(): Observable<boolean> {
    const param = {
      Member: {id: 1,},
      MemberTotp: {id: 1, secretCode: 'dkdkdkdk'},
      code: '123123'
    };
    return this.rpcClient.call<boolean>('MemberTotpService.regist', param);
  }
}
